//---------------------------------------------------------------------------
#ifndef FilterH
#define FilterH

//---------------------------------------------------------------------------
#define	PI	3.1415926535897932384626433832795

#define	IIRMAX	16
class CIIRLPF
{
private:
	double	m_Z[IIRMAX*2];
	double	m_A[IIRMAX*3];
	double	m_B[IIRMAX*2];
	int		m_order;
public:
	CIIRLPF();
	void Create(double fc, double fs, int order);
	LONG Do(LONG d);
	void Clear(void);
};

class CINTPXY2{			// IIR x2 for XY Scope
private:
	CIIRLPF	m_iirlpf;	// ɂ邽߂IIRtB^g܂
public:
	CINTPXY2(LONG sampfreq);
	void Clear(void);
	void Do(LPLONG &p, LONG d);
};
#endif
